[Support] binhex - DelugeVPN


7959 posts in this topic Last Reply

Recommended Posts

  • Replies 8k
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Popular Posts

I wanted to summarize how I got Mullvad working with DelugeVPN as I had to piece together several "solutions" from different comments in this thread and there was some incorrect info; likely old.

OK guys, multi remote endpoint support is now in for this image please pull down the new image (this change will be rolled out to all my vpn images shortly).   What this means is that the im

OpenVPN support for PIA 'next-gen' network is now in, see Q19 for how to switch from legacy network to next-gen in the link below Multi remote endpoint support is now in see Q20 for how to defi

Posted Images

14 minutes ago, SiRMarlon said:

Are you using these from within Jackett? Did you test the connection in Jackett to make sure it works? Sounds like the specific private tracker you are trying to use might be the issue. 

Thanks mate. 
 

The connection in Jackett works. Both tests for Sonarr and Jackett were successful for the connection to Deluge and the tracker respectively.
 

I am not sure if it has to do with the version of Deluge, but I am going to try with qBittorrent to see if it works. 
 

Meanwhile, appreciate any other ideas as well. 

Link to post
3 hours ago, hkgnp said:

Thanks mate. 
 

The connection in Jackett works. Both tests for Sonarr and Jackett were successful for the connection to Deluge and the tracker respectively.
 

I am not sure if it has to do with the version of Deluge, but I am going to try with qBittorrent to see if it works. 
 

Meanwhile, appreciate any other ideas as well. 

Just thought to update everyone. I switched over the qBittorrent-VPN from binhex, and was able to download successfully. I think the private tracker might have blocked the latest version of Deluge. 

Link to post
Just now, binhex said:

it got built 3 days ago:- https://github.com/binhex/arch-delugevpn/releases

 

if you are running tag latest and you have clicked on 'check for updates' and there arent any then you already have it.

I’m using a tag for v1 still. Maybe that’s it. Planning on updating to “latest” over the holidays now that it looks like many of the issues have been worked out between so many various devs.

Link to post
2 minutes ago, wgstarks said:

I’m using a tag for v1 still. Maybe that’s it.

thats def it, although i would of assumed the autoremoveplus plugin previously did work with v1 without the need for requests module?

Edited by binhex
Link to post
12 minutes ago, binhex said:

thats def it, although i would of assumed the autoremoveplus plugin previously did work with v1 without the need for requests module?

Yes. Works great. Just been waiting for all the issues to get worked out with v2 and autoremoveplus and a few others. I think there were also a few minor issues with Sonarr/Radarr compatibility.

Link to post

I don't know if I am doing something wrong or what but I still can't get the plug-in to install. I select it, looks like its going to do something and nada ... I don't see the plugin in the plugin folder as well. Any suggestions??? Ohh and everything is up to date.

Edited by SiRMarlon
Link to post
On 12/21/2019 at 3:06 PM, SiRMarlon said:

Yeah man I don't know ... guess it's not working on my end. I just tried the two newest ones I could find. 0.6.6-py3.8 that was posted on the forum yesterday  and 0.6.8 from Git

I have compiled the autoremove egg to work with 3.8 python.  Seems to work for me.  Give it a shot.  https://drive.google.com/open?id=16i4TlCfA_Izg255W5zNNCZqg0tYzvb9I

Link to post
6 hours ago, sauso said:

I have compiled the autoremove egg to work with 3.8 python.

Thanks for that.  I can get the configuration interface to come up in the web client, but not in my thin client (running v2.1.1.dev7501). Perhaps I need to find a 2.0.4 thin client for Linux Mint.

Link to post
11 hours ago, PeterB said:

Thanks for that.  I can get the configuration interface to come up in the web client, but not in my thin client (running v2.1.1.dev7501). Perhaps I need to find a 2.0.4 thin client for Linux Mint.

The Thin client needs to match for it to work correctly.  I use the RSS Plugin but that only works with the desktop client, so you may need to find a copy of it.

Link to post

😂 okay I must be doing something wrong here ... I open deluge, I go to preferences select plugins, then choose install, I browse to my download folder and select the .egg file that I downloaded from your link, hit install ... a tiny window pops ups for a fraction of a second and then nothing happens. Could this maybe be a permissions thing where it can't write to the folder? Is there any way I can install this manually?

Deluge.PNG

 

This window pops up for a fraction of a second 

Edited by SiRMarlon
Link to post
19 minutes ago, SiRMarlon said:

😂 okay I must be doing something wrong here ... I open deluge, I go to preferences select plugins, then choose install, I browse to my download folder and select the .egg file that I downloaded from your link, hit install ... a tiny window pops ups for a fraction of a second and then nothing happens. Could this maybe be a permissions thing where it can't write to the folder? Is there any way I can install this manually?

Deluge.PNG

 

This window pops up for a fraction of a second 

Don't upload the egg.  Copy it into the plugins folder in your App Data.  Then open the core.conf file and add it in to the "Plugins enabled" section.  That it the best way  The upload feature seems to be broken.

Link to post
12 minutes ago, sauso said:

Don't upload the egg.  Copy it into the plugins folder in your App Data.  Then open the core.conf file and add it in to the "Plugins enabled" section.  That it the best way  The upload feature seems to be broken.

AHHHHH okayyyy ... let me give that a try!

Link to post
47 minutes ago, sauso said:

Don't upload the egg.  Copy it into the plugins folder in your App Data.  Then open the core.conf file and add it in to the "Plugins enabled" section.  That it the best way  The upload feature seems to be broken.

Okay finally got it working! Thanks for the tip! 

Link to post

unRAID pulled an update tonight, and now I'm getting the following in the logs:

 

2019-12-23 01:25:41,714 DEBG 'watchdog-script' stderr output:
*** buffer overflow detected ***: /usr/bin/python terminated

 

The docker then becomes unusable - restarting just gets to the same spot. I think something's borked.

Edited by DayspringGaming
Link to post
3 hours ago, DayspringGaming said:

unRAID pulled an update tonight, and now I'm getting the following in the logs:

 


2019-12-23 01:25:41,714 DEBG 'watchdog-script' stderr output:
*** buffer overflow detected ***: /usr/bin/python terminated

 

The docker then becomes unusable - restarting just gets to the same spot. I think something's borked.

I just updated and mine's been stable for the last 10 mins.  How many torrents are you seeding?

Link to post

First of all, thanks for the container binhex. It's working great with PIA and port forwarding for the incoming port is working as advertised. However, I was wondering about the outgoing ports. I use a private tracker exclusively, and I'm trying to optimise for upload speeds.

 

My network settings are in the attached image. Can I use the same port for outgoing traffic as the incoming port? I've tested and confirmed that it is open. Is there a best practice here? Any recommendations is appreciated! Using PIA as mentioned through their Swiss server.

Screenshot 2019-12-23 at 12.07.24.png

Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.